org.apache.sysds.runtime.lineage

## Class LineageTokenizer

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageTokenizer

    public class LineageTokenizer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LineageTokenizer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String regex)`
`void` `add(String regex, String key)`
`Map<String,String>` `tokenize(String str)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageTokenizer

    public LineageTokenizer()

### Method Detail

#### add

    public void add(String regex,
                    String key)

#### add

    public void add(String regex)

#### tokenize

    public Map<String,String> tokenize(String str)